# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define	section		free
%define	jarname		carol_irmi


Name:		carol-irmi
Summary:	IRMI: Intercepting RMI implementation for the Java platform
Url:		http://carol.objectweb.org/
Version:	1.0.1
Release:	2%{?dist}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
BuildArch:	noarch
Source0:	carol-irmi-%{version}-src.tar.gz
Source1:	irmi-1.0.1.pom

BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:	ant >= 0:1.6.5
BuildRequires:	ant-junit
BuildRequires:	junit
BuildRequires:  commons-collections >= 3.1
Requires:  java >= 0:1.5.0
Requires:  commons-collections >= 3.1
Requires(post):    jpackage-utils >= 0:1.7.3
Requires(postun):  jpackage-utils >= 0:1.7.3

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The irmi package is a JDK agnostic RMI implementation supporting
pluggable interceptors and local call optimization. It uses standard
JRMP stubs and uses the javax.rmi.CORBA.PortableRemoteObjectDelegate
interface to plug into any JDK. This implementation may be enabled by
setting the system property named javax.rmi.CORBA.PortableRemoteObjectClass
to the value "org.objectweb.carol.irmi.PRO".


%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -qq -n irmi
chmod -R go=u-w *

find . -name "*.jar" \
       -exec rm -f {} \;

%build
build-jar-repository externals commons-collections junit

ant test jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
                                                                                
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 build/irmi.jar \
        $RPM_BUILD_ROOT%{_javadir}/ow_%{jarname}-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf ow_%{jarname}-%{version}.jar ow_%{jarname}.jar
popd

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-ow_%{jarname}.pom
%add_to_maven_depmap org.objectweb.carol irmi %{version} JPP ow_%{jarname}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/ow_%{jarname}.jar
%{_javadir}/ow_%{jarname}-%{version}.jar
%{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Fri Mar 20 2009 Ralph Apel <r.apel at r-apel.de> 0:1.0.1-2.jpp5
- First JPP-5 release

* Thu Jul 20 2006 Ralph Apel <r.apel at r-apel.de> 0:1.0.1-1jpp
- First JPP-1.7 release
- Upgrade to 1.0.1

* Sun Jun 05 2005 Fernando Nasser <fnasser at redhat.com> 0:1.0-1jpp
- First release

